# name: embed-codimd
# about: Embed codimd pads using Onebox. Based on https://lab.libreho.st/librehosters/embed-codimd
# version: 0.1.1
# author: yala
# url: https://lab.libreho.st/yala/embed-codimd

class Onebox::Engine::CodimdOnebox
  include Onebox::Engine
  # we only want to match for a specific codimd domain
  matches_regexp %r{\Ahttps://pad\.degrowth\.net/}

  def to_html
    "<iframe name='embed_readwrite' src='#{@url}' style='border-width:0' frameborder='0' scrolling='no' width='100%' height=600></iframe><br /><a href='#{@url}' target='_blank'>Visit this pad.</a>"
  end
end
